## dnf-types

dnf-types

## Functions

GQuark | dnf_error_quark ()

## Types and Values

typedef | DnfModulePackageContainer
typedef | DnfDb
typedef | DnfPackageSet
typedef | DnfReldep
typedef | DnfReldepList
enum | DnfError
#define | DNF_ERROR
struct | Dependency
struct | DependencyContainer
| DnfContext
| DnfRepo
| DnfRepoLoader
| DnfSack
| DnfState
| DnfTransaction
struct | ModulePackageContainer
struct | PackageSet
struct | Swdb

## Description

## Functions

### dnf_error_quark ()

    GQuark
    dnf_error_quark (void);

## Types and Values

### DnfModulePackageContainer

    typedef struct ModulePackageContainer   DnfModulePackageContainer;

### DnfDb

    typedef struct Swdb DnfDb;

### DnfPackageSet

    typedef struct PackageSet DnfPackageSet;

### DnfReldep

    typedef struct Dependency DnfReldep;

### DnfReldepList

    typedef struct DependencyContainer DnfReldepList;

### enum DnfError

The error code.

#### Members

DNF_ERROR_FAILED | Failed with a non-specific error |
DNF_ERROR_INTERNAL_ERROR | Something horrible happened |
DNF_ERROR_CANNOT_GET_LOCK | Cannot get lock for action |
DNF_ERROR_CANCELLED | The action was cancelled |
DNF_ERROR_REPO_NOT_AVAILABLE | The repo is not available |
DNF_ERROR_CANNOT_FETCH_SOURCE | Cannot fetch a software repo |
DNF_ERROR_CANNOT_WRITE_REPO_CONFIG | Cannot write a repo config file |
DNF_ERROR_PACKAGE_CONFLICTS | Package conflict exists |
DNF_ERROR_NO_PACKAGES_TO_UPDATE | No packages to update |
DNF_ERROR_PACKAGE_INSTALL_BLOCKED | Package install was blocked |
DNF_ERROR_FILE_NOT_FOUND | File was not found |
DNF_ERROR_UNFINISHED_TRANSACTION | An unfinished transaction exists |
DNF_ERROR_GPG_SIGNATURE_INVALID | GPG signature was bad |
DNF_ERROR_FILE_INVALID | File was invalid or could not be read |
DNF_ERROR_REPO_NOT_FOUND | Source was not found |
DNF_ERROR_FAILED_CONFIG_PARSING | Configuration could not be read |
DNF_ERROR_PACKAGE_NOT_FOUND | Package was not found |
DNF_ERROR_NO_SPACE | Out of disk space |
DNF_ERROR_INVALID_ARCHITECTURE | Invalid architecture |
DNF_ERROR_BAD_SELECTOR | The selector was in some way bad |
DNF_ERROR_NO_SOLUTION | No solution was possible |
DNF_ERROR_BAD_QUERY | The query was in some way bad |
DNF_ERROR_CANNOT_WRITE_CACHE |  |
DNF_ERROR_NO_CAPABILITY | This feature was not available |
DNF_ERROR_REMOVAL_OF_PROTECTED_PKG |  |

### DNF_ERROR

    #define DNF_ERROR                       (dnf_error_quark ())

### struct Dependency

    struct Dependency;

### struct DependencyContainer

    struct DependencyContainer;

### DnfContext

    typedef struct _DnfContext DnfContext;

### DnfRepo

    typedef struct _DnfRepo DnfRepo;

### DnfRepoLoader

    typedef struct _DnfRepoLoader DnfRepoLoader;

### DnfSack

    typedef struct _DnfSack DnfSack;

### DnfState

    typedef struct _DnfState DnfState;

### DnfTransaction

    typedef struct _DnfTransaction DnfTransaction;

### struct ModulePackageContainer

    struct ModulePackageContainer;

### struct PackageSet

    struct PackageSet;

### struct Swdb

    struct Swdb;